Skip to main content
GET https://api.speccheckrx.com/v1/catalogs/materials

Authentication

This endpoint requires bearer token authentication.

Headers

Authorization
string
required
Your bearer token in the format Bearer <token>.
User-Email
string
required
The email address of the user making the request.Must exactly match the email address used to log in to the SpecCheck Dashboard.

Parameters

lab
string
required
The ID of the lab for this request.
account_number
string
required
The lab account number for this request.
style
string
required
The ID of the lens style.

Returns

Returns an object with a data array of lens materials. If there are no matching materials, data is an empty array.
data
array of Lens Material Object
{
  "data": [
    {
      "id": "material_123",
      "name": "Polycarbonate"
    }
  ]
}
curl "https://api.speccheckrx.com/v1/catalogs/materials?lab={{LAB_ID}}&account_number={{ACCOUNT_NUMBER}}&style={{STYLE_ID}}" \
  -H "Authorization: Bearer {{ACCESS_TOKEN}}" \
  -H "User-Email: {{USER_EMAIL}}"